package jess;

import java.util.Map;

/**
 * A Node that can give logical support to a fact
 * (C) E.J. Friedman-Hill and 2001 Sandia National Laboratories
 * $Id: LogicalNode.java,v 1.1 2001/10/17 21:39:59 ejfried Exp $
 */

interface LogicalNode {
    public void dependsOn(Fact f, Token t);
    // For testing only
    public Map getLogicalDependencies();
}
