/*
 * Universidade Federal de Pernambuco - UFPE
 * Centro de Informtica - CIn
 * Disciplina: Sistemas Inteligentes
 * 
 * Alunos:
 * Hallan Cosmo - hcs
 * Leandro Henrique - lheva
 * Rodrigo Cavalcanti - rpcs
 * 
 * Professor: Fred Freitas
 */

public class Cliente {
	private String nome;
	private String destino;
	private String data_ida;
	private String data_volta;
	private double capital;
	private double proposta;
	private boolean city_tour;
	private int tempoPartida;
	private int tempoChegada;
	private boolean chega_destino;
	private String hotel;
	private String transporte;
	
	public String getTransporte() {
		return transporte;
	}

	public void setTransporte(String transporte) {
		this.transporte = transporte;
	}

	public Cliente(String nome, String destino, String data_ida, String data_volta,
			double capital, boolean city_tour, int tempoPartida, int tempoChegada,
			String hotel,String transporte){
		
		this.nome = nome;
		this.destino = destino;
		this.data_ida = data_ida;
		this.data_volta = data_volta;
		this.capital = capital;
		this.city_tour = city_tour;
		this.tempoPartida = tempoPartida;
		this.tempoChegada = tempoChegada;
		this.hotel = hotel;
		this.transporte = transporte;
		this.proposta = 0;
		this.chega_destino = true;
	}

	public double getCapital() {
		return capital;
	}

	public void setCapital(double capital) {
		this.capital = capital;
	}

	public boolean isCity_tour() {
		return city_tour;
	}

	public void setCity_tour(boolean city_tour) {
		this.city_tour = city_tour;
	}

	public String getData_ida() {
		return data_ida;
	}

	public void setData_ida(String data_ida) {
		this.data_ida = data_ida;
	}

	public String getData_volta() {
		return data_volta;
	}

	public void setData_volta(String data_volta) {
		this.data_volta = data_volta;
	}

	public String getDestino() {
		return destino;
	}

	public void setDestino(String destino) {
		this.destino = destino;
	}

	public String getHotel() {
		return hotel;
	}

	public void setHotel(String hotel) {
		this.hotel = hotel;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public int getTempoChegada() {
		return tempoChegada;
	}

	public void setTempoChegada(int tempoChegada) {
		this.tempoChegada = tempoChegada;
	}

	public int getTempoPartida() {
		return tempoPartida;
	}

	public void setTempoPartida(int tempoPartida) {
		this.tempoPartida = tempoPartida;
	}

	public double getProposta() {
		return proposta;
	}

	public void setProposta(double proposta) {
		this.proposta = proposta;
	}

	public boolean isChega_destino() {
		return chega_destino;
	}

	public void setChega_destino(boolean chega_destino) {
		this.chega_destino = chega_destino;
	}
	
}
